
QGIS Application - Bug report #12027

cpy of a prepared QgsDataDefined cause crash (double delete)

2015-01-21 01:59 AM - Vincent Mora

Status: Closed

Priority: Normal

Assignee: Vincent Mora

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 20230

Description

Test and PR are on their way.

Associated revisions

Revision 774e5d30 - 2015-04-21 10:00 PM - Nyall Dawson

Fix crash on QgsDataDefined copy (fix #12027)

History

#1 - 2015-01-21 02:01 AM - Vincent Mora

- Pull Request or Patch supplied changed from No to Yes

PR here https://github.com/qgis/QGIS/pull/1845

#2 - 2015-04-21 01:01 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"774e5d3012a60c4dadafadd95017f085d72abe80".
